package net.locusworks.discord.eighttrack.utils;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Component;

@Component
public class ApplicationContextHolder implements ApplicationContextAware {
  
 private static ApplicationContext context;
  
  @Override
  public void setApplicationContext(ApplicationContext ctx) throws BeansException {
    if (context == null) {
      context = ctx;
    }
  }
  
  public static ApplicationContext getContext() {
    return context;
  }

}
